com.sun.pdfview

## Interface Watchable

All Known Implementing Classes:
  BaseWatchable, PDFParser, PDFRenderer

    public interface Watchable

An interface for rendering or parsing, which can be stopped and started.

### Field Summary

Fields
`static int` `COMPLETED`
`static int` `ERROR`
`static int` `NEEDS_DATA`
`static int` `NOT_STARTED`
`static int` `PAUSED`
`static int` `RUNNING`
`static int` `STOPPED`
`static int` `UNKNOWN` the possible statuses

### Method Summary

Methods
`int` `getStatus()` Get the status of this watchable
`void` `go()` Start this watchable and run until it is finished or stopped.
`void` `go(int steps)` Start this watchable and run for the given number of steps or until finished or stopped.
`void` `go(long millis)` Start this watchable and run for the given amount of time, or until finished or stopped.
`void` `stop()` Stop this watchable.

### Field Detail

#### UNKNOWN

    static final int UNKNOWN

the possible statuses

See Also:
  Constant Field Values

#### NOT_STARTED

    static final int NOT_STARTED

See Also:
  Constant Field Values

#### PAUSED

    static final int PAUSED

See Also:
  Constant Field Values

#### NEEDS_DATA

    static final int NEEDS_DATA

See Also:
  Constant Field Values

#### RUNNING

    static final int RUNNING

See Also:
  Constant Field Values

#### STOPPED

    static final int STOPPED

See Also:
  Constant Field Values

#### COMPLETED

    static final int COMPLETED

See Also:
  Constant Field Values

#### ERROR

    static final int ERROR

See Also:
  Constant Field Values

### Method Detail

#### getStatus

    int getStatus()

Get the status of this watchable

Returns:
  one of the well-known statuses

#### stop

    void stop()

Stop this watchable. Stop will cause all processing to cease, and the watchable to be destroyed.

#### go

    void go()

Start this watchable and run until it is finished or stopped. Note the watchable may be stopped if go() with a different time is called during execution.

#### go

    void go(int steps)

Start this watchable and run for the given number of steps or until finished or stopped.

Parameters:
  `steps` - the number of steps to run for

#### go

    void go(long millis)

Start this watchable and run for the given amount of time, or until finished or stopped.

Parameters:
  `millis` - the number of milliseconds to run for